Bug 50093 - Better error message for failed certificate validation
Summary: Better error message for failed certificate validation
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.2.16
Hardware: PC Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2010-10-14 08:37 UTC by Lassi Tuura
Modified: 2012-02-26 17:08 UTC (History)
0 users



Attachments
ssl_var_lookup_ssl_cert_verify improvement for FAILED (438 bytes, patch)
2010-10-14 08:37 UTC, Lassi Tuura
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lassi Tuura 2010-10-14 08:37:01 UTC
Created attachment 26175 [details]
ssl_var_lookup_ssl_cert_verify improvement for FAILED

The attached patch produces better error messages for failed certificate validation for SSL_CLIENT_VERIFY. At least for us it mostly just produced FAILED:(null) before. Tested with httpd 2.2.14 and 2.2.16. Code in 2.3.8 seems still similar to 2.2.x.
Comment 1 Stefan Fritsch 2010-10-23 18:18:50 UTC
commited to trunk in r1026703
Comment 2 Stefan Fritsch 2012-02-26 17:08:44 UTC
fixed in 2.4.1